Announcement

Collapse
No announcement yet.

PHP errors on class_bootstrap after update

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • PHP errors on class_bootstrap after update

    Hi everyone,

    I recently updated to 4.2.5 and I started getting tons of PHP error messages:

    Code:
    [02-Jun-2017 22:16:04 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    [02-Jun-2017 22:16:04 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    [02-Jun-2017 22:16:14 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    [02-Jun-2017 22:16:14 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    [02-Jun-2017 22:16:14 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    [02-Jun-2017 22:16:14 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    [02-Jun-2017 22:16:14 Europe/Rome] PHP Strict Standards:  Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
    Line 564 is

    ($hook = vBulletinHook::fetch_hook('process_templates_complete')) ? eval($hook) : false;

    Line 60 is an empty one under

    public $group_templates = array();


    Do you have any idea how I could solve this problem?


  • #2
    What version of php are you running?

    vBulletin 4.2.5 requires a minimum of php 5.6 - it will not work with versions lower than that.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.5.2 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Originally posted by SnakeEaterITA View Post
      [CODE][02-Jun-2017 22:16:04 Europe/Rome] PHP Strict Standards: Only variables should be passed by reference in /home/laplayst/public_html/forum/includes/class_bootstrap.php(564) : eval()'d code on line 60
      The problem is on line 60 in a plugin using the hook process_templates_complete.
      Update or disable the plugin/addon.

      Perhaps the solution is just to change &= and remove the & in line 60.
      this is my sig

      Comment

      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
      Working...
      X